{% extends 'base.html.twig' %}

{% block content %}

    <div class="commands-index">
        <ol class="breadcrumb">
            <li><a href="{{ path('homepage') }}">{{ 'breadcrumbs.home' | trans }}</a></li>
            <li><a href="{{ path('command-index') }}">{{ 'breadcrumbs.commands.title' | trans }}</a></li>
        </ol>
        {% if commands | length > 0 %}
            <h2>{{ 'command.list.title' | trans }}</h2>
            <table class="table">
                <thead>
                <tr>
                    <td>{{ 'command.list.id' | trans }}</td>
                    <td>{{ 'command.list.domains' | trans }}</td>
                    <td>{{ 'command.list.created_at' | trans }}</td>
                    <td>{{ 'command.list.amount' | trans }}</td>
                    <td>{{ 'command.list.status' | trans }}</td>
                    <td>{{ 'command.list.action' | trans }}</td>
                </tr>
                </thead>
                <tbody>
                {% for command in commands %}
                    <tr>
                        <td>{{ command.id }}</td>
                        <td>{{ command.domainNames }}</td>
                        <td>{{ command.createdAt | localizeddate }}</td>
                        <td>{{ command.total }}€</td>
                        <td>{% spaceless %}
                            {% if command.status == 0 %}
                                {{ 'command.status.created' | trans }}
                            {% elseif command.status == 10 %}
                                {{ 'command.status.sent' | trans }}
                            {% elseif command.status == 20 %}
                                {{ 'command.status.responded' | trans }}
                            {% elseif command.status == 40 %}
                                {{ 'command.status.command_cancelled' | trans }}
                            {% elseif command.status == 42 %}
                                {{ 'command.status.payment_cancelled' | trans }}
                            {% elseif command.status == 50 %}
                                {{ 'command.status.finished' | trans }}
                            {% else %}
                                {{ 'command.status.unknown' | trans }}
                            {% endif %}
                        {% endspaceless %}</td>
                        <td>
                        <a href="{{ path('command-view', {'command' : command.id}) }}">{{ 'command.list.actions.details' | trans }}</a>
                        {% if command.status < 10 %}
                            <a href="{{ path('command-cancel', {'command': command.id}) }}">{{ 'command.list.actions.cancel' | trans }}</a>
                        {% endif %}
                        {% if command.status >= 20 and command.status < 30 %}
                            <a href="{{ path('domain-fill', {'command': command.id}) }}">{{ 'command.list.actions.informations_required' | trans }}</a>
                        {% endif %}
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        {% else %}
            {{ 'command.list.empty' | trans }}
        {% endif %}
    </div>
{% endblock %}
